package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DG_COMMAND_RULE_CUSTOM"
)
public class DgCommandRule extends TInitEntity {
   @Column(
      length = 100
   )
   private String name;
   @Column(
      length = 11
   )
   private String rule_type;
   @Column(
      length = 100
   )
   private String data_area_id;
   @Column(
      length = 100
   )
   private Integer data_source_id;
   @Column(
      length = 500
   )
   private String discription;
   @Column(
      length = 100
   )
   private String database_id;
   @Column(
      length = 100
   )
   private String create_time;
   @Column(
      length = 20000
   )
   private String rule_json;
   @Column(
      length = 255
   )
   private String create_user;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getRule_type() {
      return this.rule_type;
   }

   public void setRule_type(String rule_type) {
      this.rule_type = rule_type;
   }

   public String getData_area_id() {
      return this.data_area_id;
   }

   public void setData_area_id(String data_area_id) {
      this.data_area_id = data_area_id;
   }

   public Integer getData_source_id() {
      return this.data_source_id;
   }

   public void setData_source_id(Integer data_source_id) {
      this.data_source_id = data_source_id;
   }

   public String getDiscription() {
      return this.discription;
   }

   public void setDiscription(String discription) {
      this.discription = discription;
   }

   public String getDatabase_id() {
      return this.database_id;
   }

   public void setDatabase_id(String database_id) {
      this.database_id = database_id;
   }

   public String getCreate_time() {
      return this.create_time;
   }

   public void setCreate_time(String create_time) {
      this.create_time = create_time;
   }

   public String getRule_json() {
      return this.rule_json;
   }

   public void setRule_json(String rule_json) {
      this.rule_json = rule_json;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }
}
